/* 颜色样式 */
:root {
  --fs-tkcs-partner-bg: #FFFFFF;
  --fs-tkcs-partner-title-color: #9ECCDA;
  --fs-tkcs-partner-li-bg-1: #F5F6F8;
  --fs-tkcs-partner-li-bg-2: #E0EBEF;
  --fs-tkcs-partner-li-opacity: 0;
}

/* 主题样式 */
.fs-tkcs-partner {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 56px;
  width: 100%;
  background: var(--fs-tkcs-partner-bg);
  padding: 90px 0;
  overflow: hidden;
}

.fs-tkcs-partner-title {
  color: var(--fs-tkcs-partner-title-color);
  text-align: center;
  font-family: Urbanist;
  font-size: 40px;
  font-style: normal;
  font-weight: 600;
  line-height: 100%;
  /* 40px */
  text-transform: uppercase;
}

.fs-tkcs-partner ul {
  width: min(96%, 1440px);
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.fs-tkcs-partner li {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 1 1 calc(100% / 3);
  list-style: none;
  height: 140px;
  padding: 37px 0;
  overflow: hidden;
}

.fs-tkcs-partner li:nth-child(odd) {
  background: var(--fs-tkcs-partner-li-bg-1);
}

.fs-tkcs-partner li:nth-child(even) {
  background: var(--fs-tkcs-partner-li-bg-2);
}


.fs-tkcs-partner li::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80%;
  height: 60%;
  background: #fff;
  opacity: var(--fs-tkcs-partner-li-opacity);
  border-radius: 4px;
  z-index: 0;
}

.fs-tkcs-partner li img {
  position: relative;
  z-index: 1;
  height: 100%;
  width: 100%;
  object-fit: contain;
}


/* Media Query */
@media (max-width: 1000px) {
  .fs-tkcs-partner {
    padding: 5.62rem 0;
    gap: 3rem;
  }

  .fs-tkcs-partner-title {
    font-size: 3rem;
  }

  .fs-tkcs-partner ul {
    width: 100%;
    gap: 0rem;
  }

  .fs-tkcs-partner li {
    flex: 1 1 calc(100% / 2);
    height: 12.5rem;
  }

  .fs-tkcs-partner li:nth-child(6n+1),
  .fs-tkcs-partner li:nth-child(6n+4),
  .fs-tkcs-partner li:nth-child(6n+5) {
    background: var(--fs-tkcs-partner-li-bg-1);
  }

  .fs-tkcs-partner li:nth-child(6n+2),
  .fs-tkcs-partner li:nth-child(6n+3),
  .fs-tkcs-partner li:nth-child(6n+6) {
    background: var(--fs-tkcs-partner-li-bg-2);
  }
}

/* index-v2 样式 - Our Partners */
.fs-tkcs-partner {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 56px;
  width: 100%;
  background: #FFFFFF;
  padding: 90px 0;
  overflow: hidden;
}

.fs-tkcs-partner-title {
  color: #9ECCDA;
  text-align: center;
  font-family: Urbanist;
  font-size: 40px;
  font-style: normal;
  font-weight: 600;
  line-height: 100%;
  text-transform: uppercase;
}

.partner-list {
  width: min(96%, 1440px);
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.partner-list li {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex: 1 1 calc(100% / 4);
  list-style: none;
  height: 140px;
  padding: 37px 0;
  padding-bottom: 43px;
  overflow: hidden;
}

.partner-list li:nth-child(odd) {
  background: #F5F6F8;
}

.partner-list li:nth-child(even) {
  background: #E0EBEF;
}

.partner-text {
  font-size: 16px;
  font-weight: 600;
  margin-bottom: 15px;
  color: #9ECCDA;
  text-align: center;
}

.partner-list li img {
  position: relative;
  z-index: 1;
  max-width: 120px;
  height: auto;
  object-fit: contain;
}

@media (max-width: 1000px) {
  .fs-tkcs-partner {
    padding: 5.62rem 0;
    gap: 3rem;
  }

  .fs-tkcs-partner-title {
    font-size: 3rem;
  }

  .partner-list {
    width: 100%;
  }

  .partner-list li {
    flex: 1 1 calc(100% / 2);
  }
}

@media (max-width: 768px) {
  .partner-list {
    flex-wrap: wrap;
  }
}